title.margin.left
Prev | Pagination and General Styles | Next

## title.margin.left

title.margin.left — Adjust the left margin for titles

## Synopsis

    <xsl:param name="title.margin.left">
      <xsl:choose>
        <xsl:when test="$fop.extensions != 0">-4pc</xsl:when>
        <xsl:when test="$passivetex.extensions != 0">0pt</xsl:when>
        <xsl:otherwise>0pt</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

## Description

This parameter provides one means of adjusting the left margin for titles. The left margin of the body region is calculated to include this space, and titles are outdented to the left by this amount, effectively leaving titles at the left margin and the body text indented. Currently this method is only used for FOP because it cannot properly use the `body.start.indent` parameter. the relative

The default value for FOP is -4pc, which means the body text is indented 4 picas relative to the titles. The default value for other processors is 0pt, and the body indent is provided by the `body.start.indent` parameter.

If you set the value to zero, be sure to still include a unit indicator such as `0pt`, or the FO processor will report errors.

This parameter must be set to 0pt if the `passivetex.extensions` parameter is nonzero because PassiveTeX cannot handle the math expression with negative values used to calculate the indents.

Prev | Up | Next
footnote.font.size | Home | draft.mode